Subject: bug#31739: 25.2; Cannot expire articles in virtual group

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2022 18:24:42 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I just wondered what the value of the variable was.  :-)  But this shows
> that you definitely have gnus-summary-expire-articles in
> gnus-summary-prepare-exit-hook, so that's not the reason the articles
> aren't expired.
>
> Reading the code, gnus-summary-prepare-exit-hook is called before the
> marks are cleared, so at that point the expirable list should still
> exist, which makes the bug you're seeing even more incomprehensible...

I seemed to have dropped the ball on this one -- this was two years ago.

Jamie, do you still see these problems in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no